package com.antai.sport.http.server.server.api.business.teamtraining.dto;

import com.antai.sport.http.server.server.api.common.dto.CyclingDataDTO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("日常赛团练记录上传")
public class TeamTrainingRecordUploadDTO extends CyclingDataDTO {
    @ApiModelProperty("状态 10:未完赛 20:已完赛")
    public Integer status;
    @ApiModelProperty("完成时间 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public LocalDateTime finishTime;
}
